Subject: Re: Electronic Agricultural Marketplace - Suggestions??

From: Fred Mooney <[email-masked]>
Date: Sun, 01 Dec 1996 12:27:21 -0600

Try the Internet Hay Exchange --  http://www.iol.ie/~jrd/hay.html